Table of Contents

## Name

im_dE_fromLab, im_dECMC_fromLab, im_dE00_fromLab - calculate colour differences

## Synopsis

#include <vips/vips.h>
#include <vips/colour.h>

int im_dE_fromLab(in1, in2, out)
IMAGE *in1, *in2, *out;

int im_dECMC_fromLab(in1, in2, out)
IMAGE *in1, *in2, *out;

int im_dE00_fromLab(in1, in2, out)
IMAGE *in1, *in2, *out;

## Description

Given a pair of images in Lab format, these functions calculate CIE76, CMC(1:1) and CIEDE2000 colour difference images. These are the basic colour difference calculators in VIPS --- other colour difference functions, such as im_dE_fromXYZ(3) , are provided as a convenience to the programmer.

See im_Lab2XYZ(3) for an explanation of the various colour spaces VIPS supports and how to convert between them.

## Return Value

The functions return 0 on success and -1 on error.

## See Also

im_col_XYZ2rgb(3X) , im_XYZ2rgb(3X) , im_dE_fromXYZ(3X) .

## Copyright

National Gallery, 1990 - 1993

## Author

J.Ph. Laurent - 2/12/1992
J. Cupitt - 21/7/93

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also
- Copyright
- Author